Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class Page

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Page

Direct Known Subclasses:
  DefaultPage

    public abstract class Page

extends Assembler

This is the base class that defines what a Page module is.

Version:
  $Id: Page.java 717934 2008-11-15 21:48:47Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary
`static int` | `CACHE_SIZE_DEFAULT` The default size for the page cache
`static String` | `CACHE_SIZE_KEY` Property for the size of the page cache if caching is on
`static String` | `NAME` Represents Page Objects
`static String` | `PREFIX` Prefix for page related classes and templates

Constructor Summary
`Page()`

Method Summary
`protected void` | `build(PipelineData pipelineData)` Subclasses can override this method to add additional functionality.
`protected void` | `build(RunData data)` Deprecated. Use `build(PipelineData)` instead.
`protected void` | `doBuild(PipelineData pipelineData)` A subclass must override this method to build itself.
`protected abstract void` | `doBuild(RunData data)` Deprecated. Use `doBuild(PipelineData pipelineData)` instead
`String` | `getPrefix()` Abstract method to provide the prefix for module related classes and templates

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Prefix for page related classes and templates

  See Also:
    Constant Field Values

### CACHE_SIZE_KEY

    public static final String CACHE_SIZE_KEY

  Property for the size of the page cache if caching is on

  See Also:
    Constant Field Values

### CACHE_SIZE_DEFAULT

    public static final int CACHE_SIZE_DEFAULT

  The default size for the page cache

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Represents Page Objects

  See Also:
    Constant Field Values

Constructor Detail

### Page

    public Page()

Method Detail

### getPrefix

    public String getPrefix()

  Description copied from class: `Assembler`
  Abstract method to provide the prefix for module related classes and templates

  Specified by:
    `getPrefix` in class `Assembler`
  Returns:
    the prefix
  See Also:
    `Assembler.getPrefix()`

### doBuild

    protected abstract void doBuild(RunData data)
                             throws Exception

  Deprecated. Use `doBuild(PipelineData pipelineData)` instead

  A subclass must override this method to build itself. Subclasses override this method to store the page in RunData or to write the page to the output stream referenced in RunData.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doBuild

    protected void doBuild(PipelineData pipelineData)
                    throws Exception

  A subclass must override this method to build itself. Subclasses override this method to store the page in RunData or to write the page to the output stream referenced in RunData. Should revert to abstract when RunData goes.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### build

    protected void build(RunData data)
                  throws Exception

  Deprecated. Use `build(PipelineData)` instead.

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use PageLoader to build a Page.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### build

    protected void build(PipelineData pipelineData)
                  throws Exception

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use PageLoader to build a Page.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.